services:
  subprofile.generator:
    class: 'Drupal\lightning\Generators\SubProfileGenerator'
    arguments:
      - '@extension.list.module'
    tags:
      - { name: drush.generator }

  lightning.uninstaller:
    class: 'Drupal\lightning\Commands\Uninstaller'
    arguments:
      - '@module_handler'
      - '@theme_handler'
      - '@extension.list.profile'
      - '@file_system'
      - '@app.root'
      - '%install_profile%'
    tags:
      - { name: drush.command }
